/*==============================================================================

                                    O  F  E  L  I

                           Object  Finite  Element  Library

  ==============================================================================

   Copyright (C) 1998 - 2021 Rachid Touzani

   This file is part of OFELI.

   OFELI is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   OFELI is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with OFELI. If not, see <http://www.gnu.org/licenses/>.

  ==============================================================================

        Header file that includes headers of 'CL' (Conservation Law) classes

  ==============================================================================*/


#ifndef __CL_H
#define __CL_H

#include "equations/cl/LCL1D.h"
#include "equations/cl/LCL2DT.h"
#include "equations/cl/LCL3DT.h"
#include "equations/cl/ICPG2DT.h"
#include "equations/cl/ICPG3DT.h"

/*! \file CL.h
 *  \brief File to include for Conservation Law equations.
 */

#endif
