/*==============================================================================

                                    O  F  E  L  I

                           Object  Finite  Element  Library

  ==============================================================================

   Copyright (C) 1998 - 2021 Rachid Touzani

   This file is part of OFELI.

   OFELI is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   OFELI is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with OFELI. If not, see <http://www.gnu.org/licenses/>.

  ==============================================================================

         Header file that includes headers of 'Electromagnetics' classes

  ==============================================================================*/


#ifndef __ELECTROMAGNETICS_H
#define __ELECTROMAGNETICS_H

#include "equations/electromagnetics/EC2D1T3.h"
#include "equations/electromagnetics/EC2D2T3.h"
#include "equations/electromagnetics/HelmholtzBT3.h"

/*! \file Electromagnetics.h
 *  \brief File to include for electromagnetic equations.
 */

#endif
