/*==============================================================================

                                    O  F  E  L  I

                           Object  Finite  Element  Library

  ==============================================================================

   Copyright (C) 1998 - 2021 Rachid Touzani

   This file is part of OFELI.

   OFELI is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   OFELI is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with OFELI. If not, see <http://www.gnu.org/licenses/>.

  ==============================================================================

             Header file that includes headers of 'Fluid' classes

  ==============================================================================*/


#ifndef __FLUID_H
#define __FLUID_H

#include <math.h>
#include <float.h>
#include <stdlib.h>
#include <assert.h>

#include "equations/fluid/NSP2DQ41.h"
#include "equations/fluid/TINS2DT3S.h"
#include "equations/fluid/TINS3DT4S.h"

/*! \file Fluid.h
 *  \brief File to include for Fluid Dynamics equations.
 */

#endif
