/*==============================================================================

                                    O  F  E  L  I

                           Object  Finite  Element  Library

  ==============================================================================

   Copyright (C) 1998 - 2021 Rachid Touzani

   This file is part of OFELI.

   OFELI is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   OFELI is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with OFELI. If not, see <http://www.gnu.org/licenses/>.

  ==============================================================================

             Header file that includes headers of 'Laplace' classes

  ==============================================================================*/


#ifndef __LAPLACE_H
#define __LAPLACE_H

#include <math.h>
#include <float.h>
#include <stdlib.h>
#include <assert.h>

#include "equations/laplace/Laplace1DL2.h"
#include "equations/laplace/Laplace1DL3.h"
#include "equations/laplace/Laplace2DT3.h"
#include "equations/laplace/Laplace2DT6.h"
#include "equations/laplace/Laplace3DT4.h"
#include "equations/laplace/SteklovPoincare2DBE.h"

/*! \file Laplace.h
 *  \brief File to include for Laplace equation.
 */

#endif
