/*==============================================================================

                                    O  F  E  L  I

                           Object  Finite  Element  Library

  ==============================================================================

   Copyright (C) 1998 - 2021 Rachid Touzani

   This file is part of OFELI.

   OFELI is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   OFELI is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with OFELI. If not, see <http://www.gnu.org/licenses/>.

  ==============================================================================

             Header file that includes headers of 'Thermal' classes

  ==============================================================================*/


#ifndef __THERM_H
#define __THERM_H

#include "equations/therm/DC1DL2.h"
#include "equations/therm/DC2DT3.h"
#include "equations/therm/DC3DAT3.h"
#include "equations/therm/DC2DT6.h"
#include "equations/therm/DC3DT4.h"
#include "equations/therm/PhaseChange.h"

/*! \file Therm.h
 *  \brief File to include for heat transfer equations.
 */

#endif
